% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive

function [ANGdefKL,TdefKL,ARRAYdateKL] = MediaDati_KL(ang_KL,temp_KL,TimeKL,NdatiMedia,FileName)

text = 'MediaDati_KL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

%% Angoli
[r,~]=size(ang_KL);
if NdatiMedia > r
    NdatiMedia = r;
end
ANGdefKL = smoothdata(ang_KL,'gaussian',NdatiMedia);

ARRAYdateKL = TimeKL;

%% Temperature
TdefKL = temp_KL; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Mean values of Klino Link data calculated correctly. MediaDati_KL function ended';
fprintf(fileID,fmt,text);
fclose(fileID);

end